Skip to main content
PUT
Update an existing RSVP

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

event_id
integer<uint64>
required

ID of the event

id
integer<uint64>
required

ID of the RSVP

network_id
required

The Network's unique integer ID, or subdomain Unique numeric network ID

Body

application/json

Submit results as JSON

Request to create or update an RSVP

member_id
integer<uint64>
required

The ID of the member to RSVP on behalf of

Example:

123

status
string
required

The RSVP status. Must be one of: yes, maybe, no

Example:

"yes"

instance_at
string<date-time>

The specific event instance for recurring events (ISO8601 format)

Example:

"2025-03-15T14:00:00Z"

Response

The updated RSVP object

An RSVP for an event

id
integer<uint64>
required

The record's integer ID

Example:

"1234"

updated
string<date-time>
required

The last updated timestamp

Example:

"2026-08-13T00:16:15+00:00"

status
string
required

The RSVP status: yes, maybe, or no

event
object
required

The event being RSVPed to

member
object
required

The member who set the RSVP

event_instance
object

The specific event instance for recurring events